import { EventEmitter, ElementRef } from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import { Validator, FormControl } from '@angular/forms';
import { MatCheckbox } from '@angular/material/checkbox';
import { AbstractValueAccessor } from '@grwit/blocks/core';
export declare class GrwitCheckbox extends AbstractValueAccessor implements Validator {
    private _elementRef;
    ariaLabel: string;
    ariaLabelledby: string | null;
    checked: boolean;
    color: ThemePalette;
    disableRipple: boolean;
    disabled: any;
    id: string;
    indeterminate: boolean;
    labelPosition: 'before' | 'after';
    name: string | null;
    required: boolean;
    value: string;
    /** Event emitted when the checkbox's `checked` value changes. */
    readonly change: EventEmitter<any>;
    /** Event emitted when the checkbox's `indeterminate` value changes. */
    readonly indeterminateChange: EventEmitter<boolean>;
    matCheckboxRef: MatCheckbox;
    constructor(_elementRef: ElementRef);
    changeProxy($event: any): void;
    indeterminateChangeProxy($event: any): void;
    validate(c: FormControl): any;
    focus(): void;
    toggle(): void;
}
